Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository
Class ResourceExporter

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.BaseExporterModule
          com.jaspersoft.jasperserver.export.modules.repository.ResourceExporter

All Implemented Interfaces:
  ExporterModule, ResourceExportHandler

    public class ResourceExporter

extends BaseExporterModule
implements ResourceExportHandler

Version:
  $Id: ResourceExporter.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static class` | `ResourceExporter.UrisQueue`

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.export.modules.BaseExporterModule
`characterEncoding, commandOut, executionContext, exportContext, exportEverything, exportParams, output`

Constructor Summary
`ResourceExporter()`

Method Summary
`protected void` | `addFolderIndexElement(java.lang.String uri)`
`protected void` | `addResourceIndexElement(java.lang.String uri)`
`protected boolean` | `alreadyExported(java.lang.String uri)`
`protected FolderBean` | `createFolderBean(Folder folder, java.util.List subFolders, ResourceLookup[] resources)`
`protected void` | `exportFolder(Folder folder)`
`protected void` | `exportFolders(java.util.List subFolders)`
`protected void` | `exportResource(Resource resource)`
`protected void` | `exportResource(ResourceLookup lookup)`
`protected void` | `exportResources(ResourceLookup[] resources)`
`ResourceModuleConfiguration` | `getConfiguration()`
`protected ResourceLookup[]` | `getFolderResources(java.lang.String uri)`
`java.lang.String` | `getPermissionsArgument()`
`protected java.lang.String` | `getResourceFileName(Resource resource)`
`protected java.util.List` | `getSubfolders(java.lang.String uri)`
`java.lang.String` | `getUrisArgument()`
`java.lang.String` | `handleData(Resource resource, java.lang.String dataProviderId)`
`protected ResourceReferenceBean` | `handleLocalResource(ResourceReference reference)`
`protected RepositoryObjectPermissionBean[]` | `handlePermissions(InternalURI object)`
`ResourceReferenceBean` | `handleReference(ResourceReference reference)`
`ResourceBean` | `handleResource(Resource resource)`
`void` | `init(ExporterModuleContext moduleContext)`
`protected void` | `initProcess()`
`protected boolean` | `isToProcess()`
`protected void` | `markExported(java.lang.String uri)`
`void` | `process()`
`protected void` | `processUri(java.lang.String uri, boolean entry)`
`void` | `queueResource(java.lang.String uri)`
`void` | `setConfiguration(ResourceModuleConfiguration configuration)`
`void` | `setPermissionsArgument(java.lang.String permissionsArgument)`
`void` | `setUrisArgument(java.lang.String urisArgument)`
`protected RepositoryObjectPermissionBean` | `toPermissionBean(ObjectPermission permission)`
`protected void` | `writeFolder(Folder folder, java.util.List subFolders, ResourceLookup[] resources)`
`protected void` | `writeResource(Resource resource)`
`protected void` | `writeResourceData(Resource resource, java.io.InputStream dataIn, java.lang.String outDataFilename)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.BaseExporterModule
`getEverythingArg, getFileOutput, getId, getIndexElement, getParameterValue, getParameterValues, hasParameter, isExportEverything, mkdir, mkdir, serialize, setEverythingArg, setId, toProcess, writeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceExporter

    public ResourceExporter()

Method Detail

### init

    public void init(ExporterModuleContext moduleContext)

  Specified by:
    `init` in interface `ExporterModule`
  Overrides:
    `init` in class `BaseExporterModule`

### isToProcess

    protected boolean isToProcess()

  Specified by:
    `isToProcess` in class `BaseExporterModule`

### process

    public void process()

  Specified by:
    `process` in interface `ExporterModule`

### initProcess

    protected void initProcess()

### markExported

    protected void markExported(java.lang.String uri)

### alreadyExported

    protected boolean alreadyExported(java.lang.String uri)

### processUri

    protected void processUri(java.lang.String uri,
                              boolean entry)

### addFolderIndexElement

    protected void addFolderIndexElement(java.lang.String uri)

### exportFolder

    protected void exportFolder(Folder folder)

### getSubfolders

    protected java.util.List getSubfolders(java.lang.String uri)

### getFolderResources

    protected ResourceLookup[] getFolderResources(java.lang.String uri)

### writeFolder

    protected void writeFolder(Folder folder,
                               java.util.List subFolders,
                               ResourceLookup[] resources)

### createFolderBean

    protected FolderBean createFolderBean(Folder folder,
                                          java.util.List subFolders,
                                          ResourceLookup[] resources)

### exportFolders

    protected void exportFolders(java.util.List subFolders)

### exportResources

    protected void exportResources(ResourceLookup[] resources)

### addResourceIndexElement

    protected void addResourceIndexElement(java.lang.String uri)

### exportResource

    protected void exportResource(ResourceLookup lookup)

### exportResource

    protected void exportResource(Resource resource)

### writeResource

    protected void writeResource(Resource resource)

### handleResource

    public ResourceBean handleResource(Resource resource)

  Specified by:
    `handleResource` in interface `ResourceExportHandler`

### getResourceFileName

    protected java.lang.String getResourceFileName(Resource resource)

### handleReference

    public ResourceReferenceBean handleReference(ResourceReference reference)

  Specified by:
    `handleReference` in interface `ResourceExportHandler`

### handleLocalResource

    protected ResourceReferenceBean handleLocalResource(ResourceReference reference)

### queueResource

    public void queueResource(java.lang.String uri)

  Specified by:
    `queueResource` in interface `ResourceExportHandler`

### handleData

    public java.lang.String handleData(Resource resource,
                                       java.lang.String dataProviderId)

  Specified by:
    `handleData` in interface `ResourceExportHandler`

### writeResourceData

    protected void writeResourceData(Resource resource,
                                     java.io.InputStream dataIn,
                                     java.lang.String outDataFilename)

### handlePermissions

    protected RepositoryObjectPermissionBean[] handlePermissions(InternalURI object)

### toPermissionBean

    protected RepositoryObjectPermissionBean toPermissionBean(ObjectPermission permission)

### getUrisArgument

    public java.lang.String getUrisArgument()

### setUrisArgument

    public void setUrisArgument(java.lang.String urisArgument)

### getConfiguration

    public ResourceModuleConfiguration getConfiguration()

### setConfiguration

    public void setConfiguration(ResourceModuleConfiguration configuration)

### getPermissionsArgument

    public java.lang.String getPermissionsArgument()

### setPermissionsArgument

    public void setPermissionsArgument(java.lang.String permissionsArgument)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.